%global momorel 2

Summary: CLI for synchronization with OpenSync
Name: msynctool
Version: 0.36
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.opensync.org/
Group: Applications/Productivity
Source0: http://opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: libopensync
BuildRequires: cmake
BuildRequires: libopensync-devel >= 0.36
BuildRequires: pkgconfig

%description
Command line interface for libopensync to allow synchronization on
machines which lack a X server. It relies on the OpenSync framework to
do the actual synchronization. You need to install the libopensync
package and the plugins for it, too.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
	-DCMAKE_SKIP_RPATH=YES ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CODING COPYING README
%{_bindir}/msynctool

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.36-2m)
- rebuild against gcc43

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.36-1m)
- version 0.36

* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-1m)
- initial package for libopensync
- Summary and %%description are imported from opensuse
